/*
 * helper.h
 *
 *  Created on: Aug 3, 2014
 *      Author: andreas
 */

#ifndef HELPER_H_
#define HELPER_H_

#include <stdlib.h>
#include <stdio.h>
#include "warpmac.h"
#include "warpphy.h"

#define PACKET_TOKEN 0
#define PACKET_CLAIM_TOKEN 1
#define PACKET_SOLICIT_SUCCESSOR 2
#define PACKET_SET_PREDECESSOR 3
#define PACKET_SET_SUCCESSOR 4
#define PACKET_DATA 5
#define PACKET_ACK 6
#define PACKET_TOKEN_ACK 7
#define PACKET_TOKEN_FINAL 8
#define PACKET_SET_PREDECESSOR_FINAL 9
#define PACKET_SOLICIT_PREDECESSOR 10
#define PACKET_SOLICIT_PREDECESSOR_FINAL 11
#define PACKET_DUMMY_DATA 64

long time_program_launch;

long get_time_nsec();
void print_packet_buffer(void* buffer);

#endif /* HELPER_H_ */

