/*
 * main.h
 *
 *  Created on: Aug 2, 2014
 *      Author: andreas
 */

#ifndef MAIN_H_
#define MAIN_H_

#include <stdlib.h>
#include <stdio.h>
#include <signal.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/wait.h>

#include "settings.h"
#include "shared_memory.h"
#include "semaphores.h"
#include "simulator.h"
#include "station.h"
#include "viewer.h"
#include "helper.h"
#include "console.h"
#include "statistics.h"
#include "station_ipc.h"

FILE* uart_write;
int uart_write_fds[SIM_STATION_COUNT];
int uart_read_fds[SIM_STATION_COUNT];

void main_exit(int errval);
void kill_stations();

#endif
