/*
 * event_queue.h
 *
 *  Created on: Aug 3, 2014
 *      Author: andreas
 */

#ifndef EVENT_QUEUE_H_
#define EVENT_QUEUE_H_

#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <sys/types.h>

#define MAX_QUEUE_LENGTH 32 //should be a power of two to avoid divisions

#define EVENT_PREAMBLE_DONE 1
#define EVENT_HEADER_DONE 2
#define EVENT_PAYLOAD_DONE 3
#define EVENT_HEADER_PAYLOAD_DONE 4

struct event {
	int station;
	int type;
	long time;
	int skip;
};

int enqueue_event(struct event *e);
int peek_event(struct event *e);
int dequeue_event(struct event *e);

#endif /* EVENT_QUEUE_H_ */
