#include "xparameters.h"
#include <stdio.h>
#include <stdarg.h>

#include "../station.h"
#include "../main.h"

#define PTYS_ENABLED 1

void xil_printf( const char* format, ... )
{
	if(PTYS_ENABLED)
	{
		va_list args;
		va_start( args, format );

		vfprintf(uart_write, format, args );

		va_end( args );

		fflush(uart_write);
	}
	else
	{
		printf("(%2d) ", station_id);

		va_list args;
		va_start( args, format );

		vprintf(format, args );
		va_end( args );
	}
}
