/*
 * semaphores.h
 *
 *  Created on: Aug 3, 2014
 *      Author: andreas
 */

#ifndef SEMAPHORES_H_
#define SEMAPHORES_H_

#include <stdlib.h>
#include <stdio.h>
#include <stdint.h>
#include <string.h>
#include <sys/ipc.h>
#include <sys/sem.h>
#include <sys/types.h>
//#include <linux/sem.h>
#include <time.h>

#include "main.h"

/* arg for semctl system calls. */
union semun {
	int val;                /* value for SETVAL */
	struct semid_ds *buf;   /* buffer for IPC_STAT & IPC_SET */
	ushort *array;          /* array for GETALL & SETALL */
	struct seminfo *__buf;  /* buffer for IPC_INFO */
	void *__pad;
};

#define SEMAPHORES_COUNT 1

#define SEM_SIM_START 0

void setup_semaphores();
void lock_semaphore(unsigned short sem_num);
void unlock_semaphore(unsigned short sem_num);
void release_semaphores();


#endif /* SEMAPHORES_H_ */
