/*
 * marker.h
 *
 *  Created on: Oct 2, 2014
 *      Author: andreas
 */

#ifndef MARKER_H_
#define MARKER_H_


#define MARKER_RECOVER 1
#define MARKER_IDLE_EXPIRED 2
#define MARKER_RECOVERY_STARTED 3
#define MARKER_RECOVERY_INCONSISTENT 4
#define MARKER_RECOVERY_DISAPPEAR 5
#define MARKER_RECOVERY_SAMERING 6
#define MARKER_RECOVERY_SUCCESSORRING 7
#define MARKER_RECOVERY_TIMEOUT 8
#define MARKER_PREDECESSOR_MISMATCH 9
#define MARKER_RECOVERY_DOUBLE_PICKUP 10
#define MARKER_RECOVERY_SAMERING_SP 11

//SIM ONLY MARKER

#define MARKER_HOLD_START 1000
#define MARKER_HOLD_STOP 1001

#define MARKER_MISC 1002
#define MARKER_MISC2 1003

#define MARKER_RECOVERY_LOOP 1004

#define MARKER_IGNORED_T 1005
#define MARKER_IGNORED_FT 1006
#define MARKER_SILENCE_DETECTED 1007
#define MARKER_CSMA_RISING_EDGE 1008
#define MARKER_CSMA_FALLING_EDGE 1009

#define MARKER_BAD_HEADER 1010

#endif /* MARKER_H_ */
