/*
 * viewer_packet_history.c
 *
 *  Created on: Aug 4, 2014
 *      Author: andreas
 */

#include "viewer_packet_history.h"

void init_history()
{
	int i;
	for(i=0; i<HISTORY_SIZE; ++i)
	{
		history[i].station = -1;
	}

	*history_last_item = 0;

	/*for(i=0; i<MARKERS_SIZE; ++i)
	{
		markers[i].station = -1;
	}*/
}

void add_history_item(historyItem *h)
{
	if(*history_last_item < HISTORY_SIZE)
	{
		history[*history_last_item] = *h;
		(*history_last_item)++;
	}
	else
	{
		printf("history full.");
	}
}

void add_marker(Marker *m, int i)
{
	Marker *m_array = (Marker*)((void*)markers + i * MARKERS_SIZE * sizeof(Marker));

	if(marker_last_items[i] < MARKERS_SIZE)
	{
		m_array[marker_last_items[i]] = *m;
		marker_last_items[i]++;
	}
	else
	{
		printf("markers full.");
	}
}
