/**
 * @file	debug.c
 * @author	Christian
 * @date	30.03.2011
 * @brief	Debug Implementation
 *
 * Last Change Base: 		$LastChangedRevision: 105 $
 * Last Changed By: 		$LastChangedBy: cd185990 $
 * Last Changed On: 		$LastChangedDate: 2011-03-31 11:21:16 +0200 (Thu, 31 Mar 2011) $
 *
 * Copyright: 2009 - 2011, Mobile Network Performance Group, RWTH Aachen
 */

#include "debug.h"
#include <stdio.h>
#include <string.h>

/// Currently disabled and handled by the preprocessor macro defined in debug.h
#if defined(NDEBUG) && defined(__GNUC__)
/* Nothing. debug has been "defined away" in debug.h already. */
#else
//extern int dbg_msglevel; /// the higher, the more messages
//void debug(unsigned int level, char* format, ...) {
//#ifdef NDEBUG
//	/* Empty body, so a good compiler will optimize calls to debug away */
//#else
//	do {
//        if (dbg_msglevel != DBG_NOTSET || level <= dbg_msglevel) {
//			va_list args;
//			va_start(args, format);
//			xil_printf(strcat("%s():%d: ",format), __func__, __LINE__, args);
//			va_end(args);
//        }
//	} while(0);
//#endif /* NDEBUG */
//}
#endif /* NDEBUG && __GNUC__ */

